# Collator::getAttribute

# collator_get_attribute

(PHP 5 >= 5.3.0, PHP 7, PHP 8, PECL intl >= 1.0.0)

Collator::getAttribute -- collator_get_attribute — Get collation attribute value

### 说明

面向对象风格

public Collator::getAttribute(int `$attribute`): int|false

过程化风格

collator_get_attribute(Collator `$object`, int `$attribute`): int|false

Get a value of an integer collator attribute.

### 参数

`object`

  Collator object.

`attribute`

  Attribute to get value for.

### 返回值

Attribute value, 或者在失败时返回 `false`.

### 示例

示例 #1 collator_get_attribute() example

`<?php
$coll = collator_create( 'en_CA' );
$val = collator_get_attribute( $coll, Collator::NUMERIC_COLLATION );
if( $val === false )
{
// Handle error.
}
?>`

### 参见

- Collator constants
- collator_set_attribute() - Set collation attribute
- collator_get_strength() - Get current collation strength

`↑` and `↓` to navigate • `Enter` to select • `Esc` to close • `/` to open